Subject: Re: Sorting environment
From: [email-masked] (Ed Huott)

10 Apr 1997 17:18:20 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: Jon Thackray <[email-masked]>
Original-cc: Jim Balter <[email-masked]>, [email-masked]
In-reply-to: Your message of "Thu, 10 Apr 1997 12:26:25 -0000."
             <[email-masked]> 
Original-Sender: [email-masked]

In message <[email-masked]>, Jon Thackray writes
:
>Quoting from the Oct 96 MSDN docs for CreateProcess, near the end of the
>"Remarks" section:
>
>  If the current directory on drive C is \MSVC\MFC, there is an
>  environment variable called =C: whose value is C:\MSVC\MFC. As noted in
>  the previous description of lpEnvironment, such current directory
>  information for a system's drives does not automatically propagate to a
>  new process when the CreateProcess function's lpEnvironment parameter is
>  non-NULL. An application must manually pass the current directory
>  information to the new process. To do so, the application must
>  explicitly create the =X environment variable strings, get them into
>  alphabetical order (because Windows NT and Windows 95 use a sorted
>  environment), and then put them into the environment block specified by
>  lpEnvironment. Typically, they will go at the front of the environment
>  block, due to the previously mentioned environment block sorting.

Wow!  And they call the Unix system arcane!!! :-)

<ED>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".